<?php

/*  VERSION: 20110120.0850  */


function translateua($agent) {

// LET'S CREATE THE ARRAYS
$os = array();
$browser = array();

// OPERATING SYSTEM
// PalmOS
$os_array['PalmOS'] = array(
	'agent' => array('palmos', 'palmsource'),		// may come up as Windows 95 or Windows 98, too
	'name' => 'PalmOS',
	'image' => 'pics/useragent/palmos.png',
	'link' => 'http://www.palm.com/'
);
// Windows
$os_array['Win7'] = array(
	'agent' => 'windows nt 6.1',
	'name' => 'Windows 7',
	'image' => 'pics/useragent/winvista.png',
	'link' => 'http://www.windows.com/'
);
$os_array['WinVista'] = array(
	'agent' => 'windows nt 6.0',
	'name' => 'Windows Vista',
	'image' => 'pics/useragent/winvista.png',
	'link' => 'http://www.windows.com/'
);
$os_array['WinServ2003'] = array(
	'agent' => 'windows nt 5.2',
	'name' => 'Windows Server 2003',
	'image' => 'pics/useragent/winxp.png',
	'link' => 'http://www.windows.com/'
);
$os_array['WinXP'] = array(
	'agent' => 'windows nt 5.1',
	'name' => 'Windows XP',
	'image' => 'pics/useragent/winxp.png',
	'link' => 'http://www.windows.com/'
);
$os_array['Win2000'] = array(
	'agent' => 'windows nt 5.0',
	'name' => 'Windows 2000',
	'image' => 'pics/useragent/winother.png',
	'link' => 'http://www.windows.com/'
);
$os_array['WinNT'] = array(
	'agent' => 'windows nt 4.0',
	'name' => 'Windows NT',
	'image' => 'pics/useragent/winother.png',
	'link' => 'http://www.windows.com/'
);
$os_array['WinME'] = array(
	'agent' => array('win 9x 4.90', 'windows me'),		// may come up as Windows 98, too
	'name' => 'Windows Millennium Edition',
	'image' => 'pics/useragent/winother.png',
	'link' => 'http://www.windows.com/'
);
$os_array['Win98'] = array(
	'agent' => array('windows 98', 'win 98', 'win98'),
	'name' => 'Windows 98',
	'image' => 'pics/useragent/winother.png',
	'link' => 'http://www.windows.com/'
);
$os_array['Win95'] = array(
	'agent' => array('windows 95', 'win 95', 'win95'),
	'name' => 'Windows 95',
	'image' => 'pics/useragent/winother.png',
	'link' => 'http://www.windows.com/'
);
$os_array['WinCE'] = array(
	'agent' => 'windows ce',
	'name' => 'Windows CE/Pocket PC',
	'image' => 'pics/useragent/wince.png',
	'link' => 'http://www.pocketpc.com/'
);
// Android
$os_array['Android'] = array(
	'agent' => 'android',					// will come up as Linux, too
	'name' => 'Android',
	'image' => 'pics/useragent/android.png',
	'link' => 'http://www.andoidlinux.com/'
);
// Linux & Spoons
$os_array['Kubuntu'] = array(
	'agent' => 'kubuntu',					// will come up as Linux and Ubuntu, too
	'name' => 'Kubuntu Linux',
	'image' => 'pics/useragent/kubuntu.png',
	'link' => 'http://www.kubuntu.org/'
);
$os_array['Edubuntu'] = array(
	'agent' => 'edubuntu',					// will come up as Linux and Ubuntu, too
	'name' => 'Edubuntu Linux',
	'image' => 'pics/useragent/edubuntu.png',
	'link' => 'http://www.edubuntu.org/'
);
$os_array['Ubuntu'] = array(
	'agent' => 'ubuntu',					// will come up as Linux, too
	'name' => 'Ubuntu Linux',
	'image' => 'pics/useragent/ubuntu.png',
	'link' => 'http://www.ubuntu.com/'
);
$os_array['Debian'] = array(
	'agent' => 'debian',					// will come up as Linux, too
	'name' => 'Debian Linux',
	'image' => 'pics/useragent/debian.png',
	'link' => 'http://www.debian.com/'
);
$os_array['CentOS'] = array(
	'agent' => 'centos',					// will come up as Linux, too
	'name' => 'CentOS Linux',
	'image' => 'pics/useragent/centos.png',
	'link' => 'http://www.centos.org/'
);
$os_array['Fedora'] = array(
	'agent' => 'fedora',					// will come up as Linux, too
	'name' => 'Fedora Linux',
	'image' => 'pics/useragent/fedora.png',
	'link' => 'http://fedoraproject.org/'
);
$os_array['Gentoo'] = array(
	'agent' => 'gentoo',					// will come up as Linux, too
	'name' => 'Gentoo Linux',
	'image' => 'pics/useragent/gentoo.png',
	'link' => 'http://www.gentoo.org/'
);
$os_array['Mandriva'] = array(
	'agent' => 'mandriva',					// will come up as Linux, too
	'name' => 'Mandriva Linux',
	'image' => 'pics/useragent/mandriva.png',
	'link' => 'http://www.mandriva.org/'
);
$os_array['PCLinuxOS'] = array(
	'agent' => 'pclinuxos',					// will come up as Linux, too
	'name' => 'PCLinuxOS',
	'image' => 'pics/useragent/pclinuxos.png',
	'link' => 'http://www.pclinuxos.com/'
);
$os_array['RedHat'] = array(
	'agent' => array('redhat', 'red hat'),			// may come up as Linux, too
	'name' => 'RedHat Linux',
	'image' => 'pics/useragent/redhat.png',
	'link' => 'http://www.redhat.com/'
);
$os_array['SUSE'] = array(
	'agent' => 'suse',					// may come up as Linux, too
	'name' => 'SUSE Linux',
	'image' => 'pics/useragent/suse.png',
	'link' => 'http://www.suse.com/'
);
$os_array['Linux'] = array(
	'agent' => 'linux',
	'name' => 'Unspecified Linux',
	'image' => 'pics/useragent/linux.png',
	'link' => 'http://www.linux.org/'
);
$os_array['FreeBSD'] = array(
	'agent' => 'freebsd',
	'name' => 'FreeBSD',
	'image' => 'pics/useragent/freebsd.png',
	'link' => 'http://www.freebsd.com/'
);
$os_array['NetBSD'] = array(
	'agent' => 'netbsd',
	'name' => 'NetBSD',
	'image' => 'pics/useragent/netbsd.png',
	'link' => 'http://www.netbsd.org/'
);
$os_array['OpenBSD'] = array(
	'agent' => 'openbsd',
	'name' => 'OpenBSD',
	'image' => 'pics/useragent/openbsd.png',
	'link' => 'http://www.openbsd.com/'
);
$os_array['Solaris'] = array(
	'agent' => array('sun', 'solaris'),
	'name' => 'Sun Solaris',
	'image' => 'pics/useragent/solaris.png',
	'link' => 'http://www.solaris.com/'
);
// iPhone & iPad
$os_array['iPhone'] = array(
	'agent' => 'iphone',					// will come up as MacOSX, too
	'name' => 'Apple iPhone',
	'image' => 'pics/useragent/iphone.png',
	'link' => 'http://www.iphone.com/'
);
$os_array['iPad'] = array(
	'agent' => 'ipad',					// will come up as MacOSX, too
	'name' => 'Apple iPad',
	'image' => 'pics/useragent/ipad.png',
	'link' => 'http://www.apple.com/ipad/'
);
// Macintosh
$os_array['MacOSX'] = array(
	'agent' => 'mac os x',					// will come up as simply Macintosh, too
	'name' => 'Mac OSX',
	'image' => 'pics/useragent/macosx.png',
	'link' => 'http://www.apple.com/mac/'
);
$os_array['Macintosh'] = array(
	'agent' => 'mac',
	'name' => 'Macintosh',
	'image' => 'pics/useragent/mac.png',
	'link' => 'http://www.apple.com/mac/'
);
// BeOS
$os_array['BeOS'] = array(
	'agent' => 'beos',
	'name' => 'BeOS/Zeta-OS',
	'image' => 'pics/useragent/beos.png',
	'link' => 'http://www.zeta-os.com/'
);
// Symbian
$os_array['Symbian'] = array(
	'agent' => 'symbian',
	'name' => 'Symbian OS',
	'image' => 'pics/useragent/symbian.png',
	'link' => 'http://www.symbian.com/'
);
// Game Consoles
$os_array['PSP'] = array(
	'agent' => 'playstation portable',
	'name' => 'PlayStation Portable',
	'image' => 'pics/useragent/psp.png',
	'link' => 'http://www.playstation.com/'
);
$os_array['PS3'] = array(
	'agent' => 'playstation 3',
	'name' => 'PlayStation 3',
	'image' => 'pics/useragent/ps3.png',
	'link' => 'http://www.playstation.com/'
);
$os_array['Wii'] = array(
	'agent' => 'wii',
	'name' => 'Nintendo Wii',
	'image' => 'pics/useragent/wii.png',
	'link' => 'http://www.nintendo.com/'
);
$os_array['DS'] = array(
	'agent' => 'nitro',
	'name' => 'Nintendo DS',
	'image' => 'pics/useragent/ds.png',
	'link' => 'http://www.nintendo.com/'
);
// Other
$os_array['BlackBerry'] = array(
	'agent' => 'blackberry',
	'name' => 'BlackBerry',
	'image' => 'pics/useragent/blackberry.png',
	'link' => 'http://www.blackberry.com/'
);


// BROWSERS
// Opera
$browser_array['Opera'] = array(
	'agent' => 'opera',					// may come up a multitude of others, so keep first
	'name' => 'Opera',
	'image' => 'pics/useragent/opera.png',
	'link' => 'http://www.opera.com/'
);
// AOL & Compuserve
$browser_array['AOL'] = array(
	'agent' => array('aol', 'America Online'),		// will come up IE AND Mozilla, too, so keep after Opera
	'name' => 'America Online',
	'image' => 'pics/useragent/aol.png',
	'link' => 'http://www.aol.com/'
);
$browser_array['CompuServe'] = array(
	'agent' => 'cs 2000',					// will come up Mozilla, too, so keep after AOL
	'name' => 'CompuServe',
	'image' => 'pics/useragent/compuserve.png',
	'link' => 'http://webcenters.netscape.compuserve.com/menu/default.jsp'
);
// WebTV
$browser_array['MSNTV'] = array(
	'agent' => array('webtv', 'msntv'),			// will come up IE, too, so keep before Internet Explorer
	'name' => 'MSNTV',
	'image' => 'pics/useragent/msntv.png',
	'link' => 'http://www.webtv.com/pc/'
);
// Blazer
$browser_array['Blazer'] = array(
	'agent' => 'blazer',					// will come up IE, too, so keep before Internet Explorer
	'name' => 'Blazer',
	'image' => 'pics/useragent/blazer.png',
	'link' => 'http://www.palm.com/us/products/handhelds/e2/e2_blazer.html'
);
// Internet Explorer
$browser_array['PocketIE'] = array(
	'agent' => array('240x320', 'PIE'),			// will come up simply IE, too
	'name' => 'MS Pocket Internet Explorer',
	'image' => 'pics/useragent/msie.png',
	'link' => 'http://www.pocketpc.com/'
);
$browser_array['IE'] = array(
	'agent' => 'msie',
	'name' => 'MS Internet Explorer',
	'image' => 'pics/useragent/msie.png',
	'link' => 'http://www.microsoft.com/'
);
// Xiino
$browser_array['Xiino'] = array(
	'agent' => 'xiino',					// may come up Netscape, which may come up as Mozilla
	'name' => 'Xiino',
	'image' => 'pics/useragent/xiino.png',
	'link' => 'http://www.mobirus.com/'
);
// Gecko
$browser_array['IceWeasel'] = array(
	'agent' => 'iceweasel',					// will come up Mozilla AND Firefox, too
	'name' => 'IceWeasel',
	'image' => 'pics/useragent/iceweasel.png',
	'link' => 'http://www.geticeweasel.org/'
);
$browser_array['IceCat'] = array(
	'agent' => 'icecat',					// will come up Mozilla AND Firefox, too
	'name' => 'IceCat',
	'image' => 'pics/useragent/icecat.png',
	'link' => 'http://www.gnu.org/software/gnuzilla/'
);
$browser_array['IceApe'] = array(
	'agent' => 'iceape',					// will come up Mozilla AND Firefox, too
	'name' => 'IceApe',
	'image' => 'pics/useragent/iceape.png',
	'link' => 'http://packages.debian.org/unstable/web/iceape'
);
$browser_array['Netscape'] = array(
	'agent' => array('netscape', "\[en\]", 'navigator'),	// will come up Mozilla AND Firefox, too
	'name' => 'Netscape Navigator',
	'image' => 'pics/useragent/netscape.png',
	'link' => 'http://www.netscape.com/'
);
$browser_array['Flock'] = array(
	'agent' => 'flock',					// will come up Mozilla AND Firefox, too
	'name' => 'Flock',
	'image' => 'pics/useragent/flock.png',
	'link' => 'http://www.flock.com/'
);
$browser_array['Fennec'] = array(
	'agent' => 'fennec',					// will come up Mozilla AND Firefox, too
	'name' => 'Fennec',
	'image' => 'pics/useragent/fennec.png',
	'link' => 'http://www.mozilla.com/mobile/'
);
$browser_array['PaleMoon'] = array(
	'agent' => 'palemoon',					// will come up Mozilla AND Firefox, too
	'name' => 'Pale Moon',
	'image' => 'pics/useragent/palemoon.png',
	'link' => 'http://www.palemoon.org/'
);
$browser_array['Arora'] = array(
	'agent' => 'arora',					// will come up Mozilla AND Safari, too
	'name' => 'Arora',
	'image' => 'pics/useragent/arora.png',
	'link' => 'http://code.google.com/p/arora/'
);
$browser_array['ComodoDragon'] = array(
	'agent' => 'comodo_dragon',				// will come up Mozilla, Safari, AND Chrome, too
	'name' => 'Comodo Dragon',
	'image' => 'pics/useragent/comododragon.png',
	'link' => 'http://www.comodo.com/home/browsers-toolbars/browser.php'
);
$browser_array['Chrome'] = array(
	'agent' => 'chrome',					// will come up Mozilla AND Safari, too
	'name' => 'Google Chrome',
	'image' => 'pics/useragent/googlechrome.png',
	'link' => 'http://www.google.com/chrome/'
);
$browser_array['Shiira'] = array(
	'agent' => 'shiira',					// will come up Mozilla AND Safari, too
	'name' => 'Shiira',
	'image' => 'pics/useragent/shiira.png',
	'link' => 'http://shiira.jp/'
);
$browser_array['OmniWeb'] = array(
	'agent' => 'omniweb',					// will come up Mozilla AND Safari, too
	'name' => 'OmniWeb',
	'image' => 'pics/useragent/omniweb.png',
	'link' => 'http://www.omnigroup.com/applications/omniweb/'
);
$browser_array['Prism'] = array(
	'agent' => 'prism',					// will come up Mozilla, too
	'name' => 'Prism',
	'image' => 'pics/useragent/prism.png',
	'link' => 'https://mozillalabs.com/prism/'
);
$browser_array['SeaMonkey'] = array(
	'agent' => 'seamonkey',					// will come up Mozilla, too
	'name' => 'SeaMonkey',
	'image' => 'pics/useragent/seamonkey.png',
	'link' => 'http://www.seamonkey-project.org/'
);
$browser_array['Firebird'] = array(
	'agent' => array('firebird', 'phoenix'),		// will come up Mozilla, too
	'name' => 'Firebird/Phoenix',
	'image' => 'pics/useragent/phoenix.png',
	'link' => 'http://www.mozilla.com/'
);
$browser_array['K-Meleon'] = array(
	'agent' => 'k-meleon',					// will come up Mozilla, too
	'name' => 'K-Meleon',
	'image' => 'pics/useragent/kmeleon.png',
	'link' => 'http://www.k-meleon.org/'
);
$browser_array['Sylera'] = array(
	'agent' => 'sylera',					// will come up Mozilla, too
	'name' => 'Sylera',
	'image' => 'pics/useragent/sylera.png',
	'link' => 'http://dombla.net/sylera/'
);
$browser_array['DocZilla'] = array(
	'agent' => 'doczilla',					// will come up Mozilla, too
	'name' => 'DocZilla',
	'image' => 'pics/useragent/doczilla.png',
	'link' => 'http://www.doczilla.com/'
);
$browser_array['HPSecureWebBrowser'] = array(
	'agent' => 'swb',					// will come up Mozilla, too
	'name' => 'HPSecureWebBrowser',
	'image' => 'pics/useragent/hp.png',
	'link' => 'http://h71000.www7.hp.com/openvms/products/ips/cswb/cswb.html'
);
$browser_array['Konqueror'] = array(
	'agent' => 'konqueror',					// will come up Mozilla, too
	'name' => 'Konqueror',
	'image' => 'pics/useragent/konqueror.png',
	'link' => 'http://www.konqueror.org/'
);
$browser_array['Galeon'] = array(
	'agent' => 'galeon',					// will come up Mozilla, too
	'name' => 'Galeon',
	'image' => 'pics/useragent/galeon.png',
	'link' => 'http://galeon.sourceforge.net/'
);
$browser_array['Epiphany'] = array(
	'agent' => 'epiphany',					// will come up Mozilla, too
	'name' => 'Epiphany',
	'image' => 'pics/useragent/epiphany.png',
	'link' => 'http://www.gnome.org/projects/epiphany/'
);
$browser_array['Camino'] = array(
	'agent' => array('camino', 'chimera'),			// will come up Mozilla, too
	'name' => 'Camino',
	'image' => 'pics/useragent/camino.png',
	'link' => 'http://caminobrowser.org/'
);
$browser_array['Minimo'] = array(
	'agent' => 'minimo',					// will come up Mozilla, too
	'name' => 'Minimo',
	'image' => 'pics/useragent/minimo.png',
	'link' => 'https://wiki.mozilla.org/Minimo'
);
$browser_array['Safari'] = array(
	'agent' => 'safari',					// will come up Mozilla, too
	'name' => 'Safari',
	'image' => 'pics/useragent/safari.png',
	'link' => 'http://www.apple.com/safari/'
);
$browser_array['Firefox'] = array(
	'agent' => 'firefox',					// will come up Mozilla, too
	'name' => 'Firefox',
	'image' => 'pics/useragent/firefox.png',
	'link' => 'http://www.mozilla.com/'
);
$browser_array['Mozilla'] = array(
	'agent' => 'gecko',
	'name' => 'Mozilla',
	'image' => 'pics/useragent/mozilla.png',
	'link' => 'http://www.mozilla.com/'
);
// Netfront
$browser_array['Netfront'] = array(
	'agent' => 'netfront',
	'name' => 'Netfront',
	'image' => 'pics/useragent/netfront.png',
	'link' => 'http://www.netfront.com/'
);
// Other
$browser_array['Links'] = array(
	'agent' => 'links',
	'name' => 'Links',
	'image' => 'pics/useragent/lynx-links.png',
	'link' => 'http://links.sourceforge.net/'
);
$browser_array['Lynx'] = array(
	'agent' => 'lynx',
	'name' => 'Lynx',
	'image' => 'pics/useragent/lynx-links.png',
	'link' => 'http://lynx.isc.org/'
);
$browser_array['w3m'] = array(
	'agent' => 'w3m',
	'name' => 'w3m',
	'image' => 'pics/useragent/w3m.png',
	'link' => 'http://w3m.sourceforge.net/'
);
$browser_array['iCab'] = array(
	'agent' => 'icab',
	'name' => 'iCab',
	'image' => 'pics/useragent/icab.png',
	'link' => 'http://www.icab.de/'
);


	// FIND THE OS AND BROWSER
	$testos = 0;
	$oskey = "";
	$testbrowser = 0;
	$browserkey = "";
	foreach ($os_array as $key => $value) {
		if (is_array($os_array[$key]['agent'])) {
			foreach ($os_array[$key]['agent'] as $key2 => $value2) {
				if (eregi($os_array[$key]['agent'][$key2], $agent)) {
					$testos = 1;
				}
			}
		} else {
			if (eregi($os_array[$key]['agent'], $agent)) {
				$testos = 1;
			}
		}
		if ($testos) {
			$oskey = $key;
			break;
		}
	}
	foreach ($browser_array as $key => $value) {
		if (is_array($browser_array[$key]['agent'])) {
			foreach ($browser_array[$key]['agent'] as $key2 => $value2) {
				if (eregi($browser_array[$key]['agent'][$key2], $agent)) {
					$testbrowser = 1;
				}
			}
		} else {
			if (eregi($browser_array[$key]['agent'], $agent)) {
				$testbrowser = 1;
			}
		}
		if ($testbrowser) {
			$browserkey = $key;
			break;
		}
	}


	// LET'S IDENTIFY A GECKO-BASED BROWSER
	if ((eregi("gecko", $agent)) && (!eregi("KHTML, like Gecko", $agent))) {
		$browser['gecko'] = 1;
	} else {
		$browser['gecko'] = "";
	}


	// LET'S IDENTIFY A WEBKIT BROWSER
	if (eregi("webkit", $agent)) {
		$browser['webkit'] = 1;
	} else {
		$browser['webkit'] = "";
	}


	// LET'S MAKE SOME PRE-INFORMATION CORRECTIONS
	if (($oskey == 'PSP') || ($oskey == 'PS3')) {
		$browserkey = 'Netfront';
	}
	if ($browserkey == 'Blazer') {
		$oskey = 'PalmOS';
	}
	if ($browserkey == 'PocketIE') {
		$oskey = 'WinCE';
	}


	// LET'S SET THE INFORMATION
	if ($oskey) {
		$os[$oskey] = 1;
		$os_info = $os_array[$oskey];
	}
	if ($browserkey) {
		$browser[$browserkey] = 1;
		$browser_info = $browser_array[$browserkey];
	}


	// LET'S FIND THE BROWSER VERSION
	$agent_array = str_word_count(strtolower($agent), 1, '0123456789.');
	$version_key = "";
	if (($browserkey == 'IE') || ($browserkey == 'IE7') || ($browserkey == 'IE8')) {
		$version_key = array_search('msie', $agent_array) + 1;
	} else if ($browserkey == 'PocketIE') {
		if (eregi("msie", $agent)) {
			$version_key = array_search('msie', $agent_array) + 1;
		}
	} else if ($browserkey == 'Netscape') {
		if (eregi("netscape", $agent)) {
			$agent_array = str_word_count($agent, 1, '0123456789./');
			foreach ($agent_array as $key => $value) {
				if (eregi("netscape", $value)) {
					$values = explode("/", $value);
					$browser_info['version'] = $values[1];
				}
			}
		} else if (eregi("navigator", $agent)) {
			$version_key = array_search('navigator', $agent_array) + 1;
		} else {
			$version_key = array_search('mozilla', $agent_array) + 1;
		}
	} else if ($browserkey == 'Chrome') {
		$version_key = array_search('chrome', $agent_array) + 1;
	} else if ($browserkey == 'PaleMoon') {
		$version_key = array_search('palemoon', $agent_array) + 1;
	} else if ($browserkey == 'ComodoDragon') {
		$agent_array = str_word_count(strtolower($agent), 1, '0123456789._');
		$version_key = array_search('comodo_dragon', $agent_array) + 1;
		$browser_info['version'] = $agent_array[$version_key];
		$version_key = "";
	} else if (eregi("version", $agent)) {
		$version_key = array_search('version', $agent_array) + 1;
	} else if ($browserkey) {
		$version_key = array_search(strtolower($browser_info['name']), $agent_array) + 1;
	}
	$agent_array = str_word_count($agent, 1, '0123456789.');
	if ($version_key) {
		$browser_info['version'] = $agent_array[$version_key];
	}


	// LET'S MAKE SOME POST-INFORMATION CORRECTIONS
	if (($oskey == 'PSP') || ($oskey == 'PS3')) {
		$browser_info['name'] = 'Sony Branded Netfront';
		$browser_info['version'] = '';
	}
	if ((($oskey == 'Wii') || ($oskey == 'DS')) && ($browserkey == 'Opera')) {
		$browser_info['name'] = 'Nintendo Branded Opera';
	}
	if ((($oskey == 'Android') || ($oskey == 'BlackBerry') || ($oskey == 'iPad') || ($oskey == 'iPhone')) && ($browserkey == 'Safari')) {
		$browser_info['name'] = 'Mobile Safari';
	}
	if ((($oskey == 'WinCE') || ($oskey == 'Android')) && ($browserkey == 'Opera')) {
		$browser_info['name'] = 'Opera Mobile';
	}
	if (($browserkey == 'IE') && ($browser_info['version'] >= 7)) {
		$browser_info['image'] = 'pics/useragent/msie7.png';
	}


	// LET'S CREATE THE RETURN VARIABLE AND RETURN IT
	$output = array();
	if ($os_info) {
		$osimg = "<img src=\"pivotx/" . $os_info['image'] . "\" border=\"0\" alt=\"" . $os_info['name'] . "\" title=\"" . $os_info['name'] . "\" />";
		$oslink = $os_info['link'];
		$osname = $os_info['name'];
	} else {
		$osimg = "<img src=\"pivotx/pics/useragent/unknown.png\" border=\"0\" alt=\"Unknown Operating System\" title=\"Unknown Operating System\" />";
		$oslink = "";
		$osname = "UNKNOWN";
	}
	if ($browser_info) {
		if ($browser_info['version']) {
			$addversion = " (" . $browser_info['version'] . ")";
		} else {
			$addversion = "";
		}
		$browserimg = "<img src=\"pivotx/" . $browser_info['image'] . "\" border=\"0\" alt=\"" . $browser_info['name'] . $addversion .  "\" title=\"" . $browser_info['name'] . $addversion . "\" />";
		$browserlink = $browser_info['link'];
		$browsername = $browser_info['name'] . $addversion;
		if ($browser['gecko']) {
			$browsertypeimg = "<img src=\"pivotx/pics/useragent/gecko.png\" border=\"0\" alt=\"a Gecko-based browser\" title=\"a Gecko-based browser\" />";
			$browsertypetext = "a Gecko-based browser";
		} else if ($browser['webkit']) {
			$browsertypeimg = "<img src=\"pivotx/pics/useragent/webkit.png\" border=\"0\" alt=\"a WebKit browser\" title=\"a WebKit browser\" />";
			$browsertypetext = "a WebKit browser";
		} else {
			$browsertypeimg = "";
			$browsertypetext = "";
		}
	} else {
		$browserimg = "<img src=\"pivotx/pics/useragent/unknown.png\" border=\"0\" alt=\"Unknown Browser\" title=\"Unknown Browser\" />";
		$browserlink = "";
		$browsername = "UNKNOWN";
		$browsertypeimg = "";
		$browsertypetext = "";
	}
	$output['os']['link'] = $oslink;
	$output['os']['image'] = $osimg;
	$output['os']['text'] = $osname;
	$output['browser']['link'] = $browserlink;
	$output['browser']['image'] = $browserimg;
	$output['browser']['text'] = $browsername;
	$output['browser']['typeimg'] = $browsertypeimg;
	$output['browser']['typetext'] = $browsertypetext;
	return $output;
}
?>
